%define ftp_version 3.49.2

%define major 2

Name:		httrack
Version: 	3.49.2
Release:	%mkrel 1
Summary:	A free (libre/open source) and easy-to-use offline browser utility
Summary(de):	HTTrack ist ein Programm zur Erstellung von Kopien ganzer Webseiten
Group: 		Networking/WWW
License: 	GPLv2+
Source: 	%{name}-%{ftp_version}.tar.xz
Patch0:		httrack-3.42-utf-8.patch
URL: 		http://www.httrack.com
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	perl, zlib-devel
BuildRequires:	dos2unix
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	chrpath
BuildRequires:	openssl-devel
Requires:       openssl
Requires:	xdg-utils
Provides:	%{_lib}httrack = %{version}-%{release}
Conflicts:	%{mklibname httrack 1}
Obsoletes:      %{mklibname httrack 1} 
Obsoletes:	%{mklibname httrack 2} < %version
Obsoletes:	%name < %version
Provides:	%{mklibname httrack %{major}} = %{version}-%{release}
Provides:	%{mklibname httrack} = %{version}-%{release}

%description
HTTrack is a free (open source) and easy-to-use offline browser utility.
Download a World Wide Web site from the Internet to a local directory.
Builds recursively all directories.
Getting HTML, images, and other files from the server.
HTTrack arranges the original site's relative link-structure.
Simply open a page of the "mirrored" website in your browser.
You can browse the site from link to link, as if you were viewing it online.
It can update an existing mirrored site, and resume interrupted downloads.
It is fully configurable, and has an integrated help system.

%description -l de
HTTrack ist ein Programm zur Erstellung von Kopien ganzer Webseiten in einem 
lokalen Verzeichnis auf der Festplatte. Die Struktur der Verlinkung bleibt dabei 
funktionsfähig. Anwendungsmöglichkeiten von HTTrack sind z. B. Offline-Kopien von 
Webseiten für nicht-Internet-fähige Notebooks sowie die Sicherung von Webinhalten 
zwecks Archivierung, z. B. vor der Abschaltung einer Webseite.

Archivierte Seiten können aktualisiert und unterbrochene Downloads fortgesetzt 
werden. Durch Filterlisten lassen sich bestimmte Dokumententypen ein- oder 
ausschließen.


%package devel
Summary:	Headers and static libraries for httrack
Group:		Development/Libraries
Requires:	%{_lib}httrack = %{version}-%{release}
Provides:       %{_lib}httrack-devel
Conflicts:	%{mklibname -d httrack 1}
Obsoletes:	%{mklibname -d httrack 1}
Provides:	%{mklibname -d httrack} = %{version}-%{release}
Obsoletes:	%{mklibname -d httrack} < %version

%description devel
libraries headers for needed building using httrack

%description devel -l de
Entwicklerdateien für HTTrack 

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .utf8


# Suppress rpmlint error.
dos2unix ./AUTHORS
dos2unix ./README
dos2unix ./greetings.txt
dos2unix ./history.txt
dos2unix ./html/step3.html
dos2unix ./%{name}-doc.html
dos2unix ./libtest/*.c
#dos2unix ./libtest/example.h
dos2unix ./libtest/readme.txt
dos2unix ./license.txt
dos2unix ./templates/*.html


iconv --from-code ISO8859-1 --to-code UTF-8 ./greetings.txt \
  --output greetings.utf-8 && mv greetings.utf-8 ./greetings.txt
iconv --from-code ISO8859-1 --to-code UTF-8 ./history.txt \
  --output history.utf-8 && mv history.utf-8 ./history.txt
iconv --from-code ISO8859-1 --to-code UTF-8 ./html/contact.html \
  --output contact.utf-8 && mv contact.utf-8 ./html/contact.html

%build
%configure2_5x --disable-static

%install
rm -rf %{buildroot}
%makeinstall_std
find %{buildroot} -type f -name "*.la" -delete

mkdir -p %{buildroot}/etc

cat > %{buildroot}/etc/httrack.conf <<"EOF"
# HTTrack Website Copier Settings
# See httrack --help for more information

# Examples: (to uncomment)

# set proxy proxy.myisp.com:8080
# retries=2
# set max-size 10000000
# set max-time 36000
# set user-agent Mouzilla/17.0 (compatible; HTTrack; I)
#
# There are MUCH more options.. try 'httrack --quiet --help | more'

# Deny and allow for links
# this will be used by default for all mirrors
allow *.gif
allow *.png
deny ad.doubleclick.net/*

# Path and other options
# '~' in the *begining* means 'home dir'
# '#' at the *end* means "projectname" (that is, the first URL given)
# Example: '~/websites/#' will create /home/smith/websites/www.foo.com
# folder when launching 'httrack www.foo.com'
set path ~/websites/#
EOF

chmod 644 %{buildroot}/etc/httrack.conf

# Move libtest and templates from /usr/share/httrack to RPM_BUILD_DIR.
# To be later listed against %doc.
rm -rf ./libtest ./templates
mv %{buildroot}%{_datadir}/%{name}/libtest .
mv %{buildroot}%{_datadir}/%{name}/templates .

# We need to have a copy of html in /usr/share/httrack.
# The other is to be listed against %doc.
rm -rf ./html
cp -pr %{buildroot}%{_datadir}/%{name}/html .

# icon
#mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
#convert -scale 48 %{buildroot}%{_datadir}/%{name}/icons/webhttrack.xpm %buildroot%{_iconsdir}/hicolor/48x48/apps/%{name}.png
#convert -scale 32 %{buildroot}%{_datadir}/%{name}/icons/webhttrack.xpm %buildroot%{_iconsdir}/hicolor/32x32/apps/%{name}.png
#convert -scale 16 %{buildroot}%{_datadir}/%{name}/icons/webhttrack.xpm %buildroot%{_iconsdir}/hicolor/16x16/apps/%{name}.png

rm -rf %{buildroot}%{_datadir}/%{name}/icons

# This just opens a web browser on ~/websites, which is empty by
# default, so this is a bit useless
rm -f %{buildroot}%{_datadir}/applications/WebHTTrack-Websites.desktop

desktop-file-install --vendor ""  \
	--remove-key Encoding \
	--remove-category="Application" \
	--remove-key Terminal \
	--remove-key MultipleArgs \
	--add-category X-MandrivaLinux-Internet-WebBrowsers \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# fix icon and shorten name
sed -i	-e 's!^Icon=.*$!Icon=httrack!' \
	-e 's!WebHTTrack Website Copier!HTTrack Website Copier!' \
	%{buildroot}%{_datadir}/applications/*

# Remove rpaths.
chrpath --delete %{buildroot}%{_bindir}/htsserver
chrpath --delete %{buildroot}%{_bindir}/%{name}
chrpath --delete %{buildroot}%{_libdir}/libhtsjava.so.*

%pre
rm -rf /usr/share/httrack/html > /dev/null 2>&1

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc httrack-doc.html templates AUTHORS README license.txt history.txt greetings.txt
%{_bindir}/htsserver
%{_bindir}/httrack
%{_bindir}/webhttrack
%{_bindir}/proxytrack
%config (noreplace) /etc/httrack.conf
%{_mandir}/man1/htsserver.*
%{_mandir}/man1/httrack.*
%{_mandir}/man1/webhttrack.*
%{_mandir}/man1/proxytrack.*
%{_datadir}/applications/WebHTTrack.desktop
%{_datadir}/pixmaps/httrack*.xpm
%{_datadir}/%name/*.def
%{_datadir}/%name/html
%{_datadir}/%name/lang
%{_datadir}/%name/lang.indexes
%{_iconsdir}/hicolor/*/apps/*
%{_libdir}/lib%name.so.%{major}
%{_libdir}/lib%name.so.2.0.49
%{_libdir}/%{name}/*.so
%{_libdir}/libhtsjava.so.%{major}
%{_libdir}/libhtsjava.so.2.0.49
%{_libdir}/%{name}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/lib%name.so
%{_libdir}/libhtsjava.so
%{_includedir}/%name

%changelog
* Fri Dec 22 2017 ghostbunny <ghostbunny at gmx dot de> 3.49.2-1pclos2017
- 3.49.2

* Mon Feb 09 2015 ghostbunny <ghostbunny at gmx dot de> 3.48.20-2pclos2015
- remove doc from devel package the doc macro in non devel package already includes /usr/share/doc/httrack
- fix error when updating from previous version

* Sat Feb 07 2015 ghostbunny <ghostbunny at gmx dot de> 3.48.20-1pclos2015
- 3.48.20
- add missing BR openssl-devel

* Sun Oct 06 2013 Ken <lxgator at gmail.com> 3.47.1-1pclos2013
- 3.47.1

* Wed May 02 2012 ghostbunny <ghostbunny at gmx dot de> 3.45.4-1pclos2012
- 3.45.4
- added Obsoletes: %name < %version

* Mon Apr 02 2012 ghostbunny <ghostbunny at gmx dot de> 3.45.3-1pclos2012
- added german summaries and descriptions
- deleted mdv in version calls
- commented patch1, source does not contain the things to patch
- added --add-category X-MandrivaLinux-Internet-WebBrowsers to show the entry in the menu
- added %{_lib} macros
